Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.util
Class CommandOut

    java.lang.Object
      com.jaspersoft.jasperserver.export.util.CommandOut

    public class CommandOut

extends java.lang.Object

Version:
  $Id: CommandOut.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `COMMAND_OUT_LOGGER`

Constructor Summary
`protected` | `CommandOut(java.lang.String loggerName)`

Method Summary
`void` | `debug(java.lang.String msg)`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String msg, java.lang.Throwable e)`
`void` | `fatal(java.lang.String msg)`
`void` | `fatal(java.lang.String msg, java.lang.Throwable e)`
`static CommandOut` | `getInstance()`
`void` | `info(java.lang.String msg)`
`void` | `trace(java.lang.String msg)`
`void` | `warn(java.lang.String msg)`
`void` | `warn(java.lang.String msg, java.lang.Throwable e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_OUT_LOGGER

    public static final java.lang.String COMMAND_OUT_LOGGER

See Also:
  Constant Field Values

Constructor Detail

### CommandOut

    protected CommandOut(java.lang.String loggerName)

Method Detail

### getInstance

    public static CommandOut getInstance()

### trace

    public void trace(java.lang.String msg)

### debug

    public void debug(java.lang.String msg)

### info

    public void info(java.lang.String msg)

### warn

    public void warn(java.lang.String msg)

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable e)

### error

    public void error(java.lang.String msg)

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable e)

### fatal

    public void fatal(java.lang.String msg)

### fatal

    public void fatal(java.lang.String msg,
                      java.lang.Throwable e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.